Name: anketdb
Version: 1.1
Release: alt5

Summary: AnketDB - questionary database editor and preparer under PostgreSQL
Summary(ru_RU.KOI8-R):  AnketDB -      PostgreSQL
License: GPL
Group: Databases
Source0: %name-%version.tar.bz2
Source1: %name.menu
Packager: Sergei Epiphanov <serpiph@altlinux.ru>

Requires: libqt3 libqt3-postgresql

# Automatically added by buildreq on Sun May 29 2005
BuildRequires: libqt3-devel gcc-c++ libstdc++-devel xorg-x11-devel

%description
AnketDB - questionary database editor

%prep
%setup -q

%build
PATH=%_libdir/qt3/bin:$PATH qmake -o Makefile anketdb.pro
PATH=%_libdir/qt3/bin:$PATH gmake
pushd src
%_libdir/qt3/bin/lrelease src.pro
%__mv COPYING ..
%__mv README ..
popd

%install
%__install -pD bin/anketdb %buildroot%_bindir/anketdb
%__mkdir_p %buildroot%_datadir/anketdb/
%__install -p -m644 -D src/ru.qm %buildroot%_datadir/anketdb/ru_RU.qm
%__install -p -m644 -D src/%name.png %buildroot%_datadir/pixmaps/%name.png
%__install -p -m644 -D src/%name.xpm %buildroot%_niconsdir/%name.xpm
%__install -p -m644 -D src/%name-large.xpm %buildroot%_liconsdir/%name.xpm
%__install -p -m644 -D src/%name-mini.xpm %buildroot%_miconsdir/%name.xpm
%__install -p -m644 -D %SOURCE1 %buildroot%_menudir/%name

%files
%doc COPYING README
%_bindir/anketdb
%dir %_datadir/anketdb
%_datadir/anketdb/*
%_menudir/anketdb
%_niconsdir/anketdb.xpm
%_liconsdir/anketdb.xpm
%_miconsdir/anketdb.xpm
%_datadir/pixmaps/anketdb.png

%changelog
* Sat Jan 24 2009 Sergei Epiphanov <serpiph@altlinux.ru> 1.1-alt5
- Move pixmaps to proper directories

* Thu Dec 18 2008 Sergei Epiphanov <serpiph@altlinux.ru> 1.1-alt4
- Remove menu updates

* Sat Dec 23 2006 Sergei Epiphanov <serpiph@altlinux.ru> 1.1-alt3
- Fixing x86_64 build

* Mon Sep 05 2005 Sergei Epiphanov <serpiph@altlinux.ru> 1.1-alt2
- Preparing for ALT Linux

* Mon Jun 20 2005 Sergei Epiphanov <serpiph@nikiet.ru> 1.1-alt1
- bug fixes:
    *crashing while creating first dictionary
    *crashing in some situations while updating db
    *crashing while using 'delete dictionary' function
- changes:
    *change sorting in dictionary list
    *change menu order
    *add 'delete dictionary' function into menu
    *updating russian translation

* Sun May 29 2005 Sergei Epiphanov <serpiph@nikiet.ru> 1.0-alt1
- first build after some working with program
